Bug 995127 - OpenJDK must be default Java version
OpenJDK must be default Java version
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ivan Necas
Katello QA List
: Triaged
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-08-08 11:15 EDT by Chuck Schweizer
Modified: 2017-06-26 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:35:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Schweizer 2013-08-08 11:15:27 EDT
Description of problem:
OpenJDK is not the default Java installed on the system.
Command 'java -version' does not return OpenJDK, only OpenJDK is supported.

Version-Release number of selected component (if applicable):
Satellite-6.0.1-RHEL-6-20130628.1-Satellite-x86_64-dvd1.iso

How reproducible:
Easy

Steps to Reproduce:
1. Install Oracle JDK and Open JDK
2.  /usr/sbin/alternatives --set java /usr/lib/jvm/jre-1.7.0-oracle.x86_64/bin/java
3. run katello-configure

Actual results:
Command 'java -version' does not return OpenJDK, only OpenJDK is supported.

Expected results:
satellite should target openjdk directly.
/usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java

Additional info:
Comment 1 Mike McCune 2013-08-13 11:25:49 EDT
Related to this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=995629

which got closed.  We should look into having katello-configure properly configure alternatives to ensure Tomcat and others are using the right JVM that Katello requires.
Comment 2 Bryan Kearney 2017-06-26 16:35:53 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.